# class toResultReferences

This widget displays information about other tables that references this one. More...

Definition | `#include <toresultreferences.h>`
Inherits | toResultView [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultReferences (QWidget *parent,const char *name=NULL)
- ~toResultReferences ()
- virtual void query (const QString &sql,const toQList ¶m)
- virtual bool canHandle (toConnection &conn)

## Detailed Description

This widget displays information about other tables that references this one. The table is specified by the first and second parameter in the query. The sql is not used in the query.

toResultReferences (QWidget *parent,const char *name=NULL)

### toResultReferences

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultReferences ()

### ~toResultReferences

Destruct object

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultView.

bool canHandle (toConnection &conn)

### canHandle

[virtual]

Support Oracle

Reimplemented from toResultView.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.